This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1027421 - '-sandbox on' option cause Qemu process to hang (defunct)
'-sandbox on' option cause Qemu process to hang (defunct)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 14:13 EST by Rudá Moura
Modified: 2015-07-13 00:43 EDT (History)
12 users (show)

See Also:
Fixed In Version: qemu-1.4.2-14.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 05:32:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudá Moura 2013-11-06 14:13:28 EST
Description of problem:

Qemu process hangs in defunct state when passing "-sandbox on" option.

Version-Release number of selected component (if applicable):

qemu-kvm 1.6.1-1.fc19

How reproducible:

Everytime it runs.

Steps to Reproduce:

Run qemu (qemu-kvm, qemu-system-x86_64) with "-sandbox on" option.

Actual results:

Qemu process in defunct state.  [qemu-system-x86] <defunct>

Expected results:

Qemu process running.

Additional info:

time->Wed Nov  6 16:33:43 2013
type=SECCOMP msg=audit(1383762823.698:815): auid=1000 uid=1000 gid=1000 ses=1 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=7674 comm="qemu-system-x86" sig=31 syscall=100 compat=0 ip=0x7f1efb9b2ebc code=0x0
Comment 1 Cole Robinson 2013-11-17 14:36:34 EST
Fix is upstream:

commit fe512d65e0b752dfa7af6cfb374a0820d35040d0
Author: Eduardo Otubo <otubo@linux.vnet.ibm.com>
Date:   Thu Nov 29 13:56:41 2012 -0200

    seccomp: adding new syscalls (bugzilla 855162)
Comment 2 Cole Robinson 2013-11-17 17:30:43 EST
Wrong commit, it's this one:

commit c236f4519c9838801798f3705c17dce9ab9e3b9d
Author: Eduardo Otubo <otubo@linux.vnet.ibm.com>
Date:   Tue Sep 24 14:50:44 2013 -0300

    seccomp: fine tuning whitelist by adding times()
Comment 3 Fedora Update System 2013-11-17 18:01:59 EST
qemu-1.4.2-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-14.fc19
Comment 4 Fedora Update System 2013-11-19 00:26:33 EST
Package qemu-1.4.2-14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.4.2-14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21656/qemu-1.4.2-14.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-12-03 05:32:20 EST
qemu-1.4.2-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.